eduKator

Education Apps

Source (link to git-repo or to original if based on someone elses unmodified work): Add the source-code for this project on git.opendesktop.org

0
Score 80%
Description:

(used to be 'my educative project")
More screenshots on: http://tuxer.tk
Find out all about EduKator: http://tuxer.tk
NEW: kubuntu packages thanks to thomas decoster
NEW: KLIK packages thanks to Kurt Pfeifle and Simon Peter
-------------------------------------
I made this educative software as a part of my thesis when I graduated from highschool.

I wanted to help people gain knowledge about fysical and mathematical statements in a way that it is fun to do. The theory is explained and it is possible to make exercices.
I aim to make a nice program that can be used in schools and at home.
-----------------------------------
All comments are welcome!!!
Everybody who has some new ideas conserning this project may send me an e-mail. All help is welcome!! (translations, more exercices, new programs, ideas, ...) toon.muylkens@pandora.be
------------------------------------
The program consists out of 4 programs: ARCHIMEDES, OPTICS, DUBBLARATES and EXTREMA PROBLEMS (minamum and maximum)
-----------------------------------
HOW TO INSTALL?
---->From source code
extract tar.gz and goto project dir.
./configure
make
su (root password)
make install

--->Kubuntu package
dpkg -i /path/to/package/package.deb

-->Klik package
*install klik (alt+F2 and enter "wget klik.atekon.de/client/install -O -|sh")
*klik on the link
*an icon will appear on your desktop

---->From precompiled package: (OLD VERSION)
*cd to the project dir.
*su
*sh ./install_eindwerk.sh

---->QMAKE project: (OLD VERSION)
*No configure file yet
*I have chaged the Makefiles, I think (= hope) it will compile now :-)
*upack the tar.gz
*cd to to project map
*make
*su
*./install_eindwerk.sh
--------------------------------------

HOW TO RUN?
*type edukator in konsole
*KDE : ALT+F2 and enter 'edukator'
*check the KDE Menu

**************************************
** Get educated, Use EduKator :-) **
******** Have fun with it! ***********
**************************************

IMPORTANT: When KDE4 arrives, I will make a new version of EduKator, ported to QT4 and with new features. Please Mail your suggestions.
thanks, Toon

Last changelog:

14 years ago

0.6.2
*thanks to Mvillarino, I could add the galician language.
0.6.1
*FIX: exercise archimedes
*New Language: Russian: thanks to Alexey Kouznetsov
*New Language: French: thanks to Henri Girard
*New Language: Spanish: thanks to José "L. Redrejo (not finished yet)
*EduKator now has ONE package for all the languages; it uses your language or otherwise just english.
---> this needs some testing :-)
--------------------------------------
0.6 (btw: no logic in the verion numbering :-) )
*Approvements in the doublerates section
*Russian translation added (not yet finished, thanks to Alexey Kouznetsov)
*Translated the code itself to english => easier for developers
*new exercice in archimedes section

--------------------------------------
0.5.1
*Tony removed spell errors
*I removed some bugs
*Renewed the part about DoubleRates
*Renamed html files in english (only important for developers)
---------------------------------
0.5
*NEW PROGRAM: extrema problems: minumum values, maximum values,...
*I made the code more efficient = faster
*cleared out some bugs.
---------------------------------
0.4.3
*Finally!!: good make scripts, configure scripts, imported it in kdevelop.
*Made a KDE application of it (used to be a QT application)
---------------------------------
0.4.2:
*I have corrected some spell errors.
*I have added a pre-compiled package
*I have changed the Makefiles, I hope it will compile now...
--> configure files will follow.
*I have added the dutch version

pfeifle

13 years ago

The link to the klik package you provide above does not work.

You should try to make it like this: klik://edukator

Report

C

toonmuylkens

13 years ago

mmmh, indeed; konqueror tells me:
"Acces to klik://edukator refused" when I Click it.

But the link really is: klik://edukator

Does anyone know what I need to do to fix this?

what do I need to enter in the KDE-APPS config dialig...

thanks for noticing me the links isn't working

cheers
toon

Report

DanaKil

13 years ago

Nice but the name "eduKator" is not the most appropriate, because it's "only" about fysical and mathematical

anyway, great appz :)

Report

C

toonmuylkens

13 years ago

Finding a good name isn't very easy

But I think about EduKator more as a concept to learn stuff.
First you see an animation or so, then you can change some stuff and see what it does, after that one can study the theory and make some exercices.

EduKator can host lingual-stuff too. Or things about history in the future...

But then the application will need to be re-designed a bit, I think....

So if anyone has some suggestions...please let me know

cheers

Report

BorgQueen

13 years ago

Wonderful work.
KDE is coming the preferred educational desktop for my little area. The more people see Gnu Linux and KDE, the more the opt for it.

Its work like this that makes it all possible.

Well done you,

The Borg Queen

Report

probono

13 years ago

klik://edukator for those who prefer to klik :-)

(See http://klik.atekon.de/ or http://www.kde-apps.org/content/show.php?content=12841 for a description of klik)

Report

C

toonmuylkens

13 years ago

Thanks for providing the community with this klik package.

Klik really is a nice tool.

btw:I have read that making klik packages isn't even that difficult.

The klik database is really BIG by the way those who don't know KLIK yet, might wanna check it out.

bye

Report

thomax

13 years ago

No it isn't difficult, cause they just use the existing .deb files ;)

Report

thomax

13 years ago

Okay, here is the kubuntu .deb for all you kubuntu lovers, it should also work on other debian based systems, but that hasn't been tested yet, so any help would be apriciated.

Here is the link:http://users.pandora.be/nothing/linux/kubuntu/deb/edukator_0.6.2-kubuntu-01_i386.deb

Report

C

toonmuylkens

13 years ago

EduKator Multi Lingual should automaticly choose the right language.
When EduKator isn't available in your language it should choose english.

I havn't been able to test this propper. So can you all let me know if it works or does not work please.

EduKator supports: English, Dutch, French, Russian, Spanish (only menu's at the moment)

Thanks a lot
toon (alias tuxer)

Report

C

toonmuylkens

14 years ago

English, Dutch, RUSSIAN, SPANISH

*A russion and a spanish version may be on its way.

:-)

Report

shafff

14 years ago

nice app, can be useful in school for 10-11th form pupils (ukraine/russia - 15-16yo..)

Report

testerus

14 years ago

Now that eduKator is a KDE-programm. what about asking for inclusion in the KDE edutainment project?
http://edu.kde.org/stuff/mailinglists.php

Report

C

toonmuylkens

14 years ago

Thanks for your comment,
It really encourages me to go on and make something really nice of eduKator.

I will think about what you proposed.
I will probably conact people from the edutainment project in a few weeks (months?), when eduKator has evolved a little bit more.

When you have any suggestions, just add a comment or send me an email. This is my very first application developed in QT/KDE.(I am still learning it)

bye,

Report

cniehaus

14 years ago

I would vote for it :-) I would like to change a lot in Kalzium and this app might be what I wanted to do. Great work!

Report

annma

14 years ago

If you want your program to be used you really need to make better packaging. Please first use Kdevelop to make a configure script. Personally, I don't install my KDE-related programs in /usr but I have a KDEDIR where I have write rights as user. This is possible with configure --prefix=/my/dir
Furthermore, you have an install script but no uninstall. Make allows make uninstall.

Also I downloaded the english source to find the menus in Dutch! And when I choose an item in the menu on the most left the app segfaulted (maybe because I ran it from the bin src as I don't want to install it in /usr)

Report

C

toonmuylkens

14 years ago

I have already imported my project in KDEVELOP, but I haven't managed to make the configure file yet.
Maybe you can tell me how I should do it?

The programm originally was created in dutch, that's why the source-code of the english version is also in dutch.
I just made a translation file with QT linguist.
If you don't understand my code because of the dutch, just mail me you question, I will translate the code you need willingly.

Thanks for you comment.

Report

app

14 years ago

we can make a project with generate...
it can be useful to compile then and get it in qtdesigner
kind regards
HG

Report

C

toonmuylkens

14 years ago

Thanks for the advice.
But I still have to learn a lot about C++ and QT.
I will try to solf these problems as fast as possible.

Report

moon115

14 years ago

Education programs are a nescessary tool if linux is to get into thew schools.

I haven't actually run your program yet but it looks like a great start from the screenshots.

Report

thomax

14 years ago

I have it on y linux box and it's a cool aplication, maybe some more excercices could be add. :)

Report

C

toonmuylkens

14 years ago

OK, I will work on it.

If you have some suggestions
you may always mail something to me.

thanks for the advice

Report

annma

14 years ago

annma@localhost:~/eindwerk_v4_english$ make
make: *** No rule to make target `/usr/mkspecs/default/qmake.conf', needed by `Makefile'. Stop.

Why is there no configure script? It seems that the way the Makefile is done is too restrictive and does not allow any custom configuration.

Report

C

toonmuylkens

14 years ago

Maybe your $QTDIR path isn't set yet.

I had the same problem once.
I just did:
export QTDIR=/usr/lib/qt3/
(the path to qt-lib)

after doing this

[toon@athlon /]$ ll $QTDIR/mkspecs/default/qmake.conf

should give you this output:
-rwxrwxrwx 1 root root 2341 sep 8 20:29 /usr/lib/qt3//mkspecs/default/qmake.conf
[toon@athlon /]$

-------------------------------
btw: I don't know how to make a configure file :-(
-------------------------------

Report

annma

14 years ago

Of course my QTDIR is set (it's in my .bashrc in fact)
I suggest you use KDevelop, create a KDE template and then improt your files in it. That way you will have it all.
Looking in your Makefile you have:
INCPATH = -I/usr/mkspecs/default -I. -I$(QTDIR)/include

annma@localhost:~/eindwerk_v4_english$ echo $QTDIR
/usr/local/kde3.3/qt-copy
annma@localhost:~/eindwerk_v4_english$ make
make: *** No rule to make target `/usr/mkspecs/default/qmake.conf', needed by `Makefile'. Stop.

Report

14 years ago

0.6.2
*thanks to Mvillarino, I could add the galician language.
0.6.1
*FIX: exercise archimedes
*New Language: Russian: thanks to Alexey Kouznetsov
*New Language: French: thanks to Henri Girard
*New Language: Spanish: thanks to José "L. Redrejo (not finished yet)
*EduKator now has ONE package for all the languages; it uses your language or otherwise just english.
---> this needs some testing :-)
--------------------------------------
0.6 (btw: no logic in the verion numbering :-) )
*Approvements in the doublerates section
*Russian translation added (not yet finished, thanks to Alexey Kouznetsov)
*Translated the code itself to english => easier for developers
*new exercice in archimedes section

--------------------------------------
0.5.1
*Tony removed spell errors
*I removed some bugs
*Renewed the part about DoubleRates
*Renamed html files in english (only important for developers)
---------------------------------
0.5
*NEW PROGRAM: extrema problems: minumum values, maximum values,...
*I made the code more efficient = faster
*cleared out some bugs.
---------------------------------
0.4.3
*Finally!!: good make scripts, configure scripts, imported it in kdevelop.
*Made a KDE application of it (used to be a QT application)
---------------------------------
0.4.2:
*I have corrected some spell errors.
*I have added a pre-compiled package
*I have changed the Makefiles, I hope it will compile now...
--> configure files will follow.
*I have added the dutch version

product-maker 45 199

File (click to download) Version Description PackagetypeArchitecture Downloads Date Filesize DL OCS-Install
Pling
Details
license
version
0.6.2
updated Nov 01 2005
added Nov 05 2004
downloads today
0
page views today 2
System Tags app software